Bug 961831 - Check for weak password on installer password page
Check for weak password on installer password page
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.2
Unspecified Unspecified
high Severity high
: ---
: 3.4.1
Assigned To: Fabian Deutsch
bugs@ovirt.org
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 09:56 EDT by Fabian Deutsch
Modified: 2014-04-30 07:25 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-30 07:25:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18028 None None None Never

  None (edit)
Description Fabian Deutsch 2013-05-10 09:56:58 EDT
Description of problem:
Currently the password is not run through the sanity password checks on the installer page.
Comment 1 Ramon Medeiros 2013-09-03 12:06:52 EDT
What kind of verification do you want:

Palindrome
Use letters and numbers
Minimum length: 8 chars?
Comment 2 Mike Burns 2013-09-03 12:38:16 EDT
We have code already in ovirt-node that will use the cracklib library for checking complexity.  This should just be a simple task of adjusting the page to use the functionality that is already in place.
Comment 3 Sandro Bonazzola 2014-03-04 04:27:37 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Note You need to log in before you can comment on or make changes to this bug.